Version 0.6
(11 March 2011, from 0.6.x branch)
http://svn.edgewall.org/repos/bitten/tags/0.6

 * Compatibility fix for Python 2.6 HTTPBasicAuthHandler issues.
 * When checking to delete pending build, handle case where config may not
   exist.
 * Set 'Content-Length' header on keep-alive requests.
 * Make sure slave reads attachments as binary files.
 * Fixed handling of configurations that point to deleted branches.
 * Fix hg:pull command for Trac 0.12.

Version 0.6b3
(21 October 2010, from 0.6.x branch)
http://svn.edgewall.org/repos/bitten/tags/0.6b3

 * Basic support for Trac 0.12, supporting just a '(default)' repository.
 * For Trac 0.12+ and DVCS repository connectors, shortened revision
   numbers will be displayed.
 * Attachments via `<attach />` command is completely redone to eliminate
   serious performance issues.
 * Removed sorting of revisions received from Trac as they are already
   sorted chronologically. Use `rev_time` if any other sorting is needed.
 * Moved Report Format from wiki to distributable documentation.
 * Use Genshi `NewTextTemplate` for uniform notification template syntax.
 * Fixed issue in use of drop index during database upgrade on MySQL.
 * Added upgrade script to fix sequences on PostgreSQL tables.
 * Fixed missing field in group by clause that caused lint report submission
   to fail.
 * Coverage context menu links correctly, and Coverage from browsing will
   locate the most recent annotation between currently browsed revision and
   previous change for file.
 * Set 'Content-Length' header on master-slave communication.
 * Fix for an issue where a renamed/deleted config would crash timeline if a
   build with this config was in range.
 * Shell output encoding improvements.
 * Redirect after login will now redirect to same /builds url.
 * Improved command-line calls on Windows, using shell for built-in commands
   and scripts (like `java:ant`).
 * Improvements to the `hg:pull` command.
 * Support linking to individual steps on builds.
 * Safer parsing of `java:junit` xml in case an optional attribute is missing.
 * Delete attachments properly in some corner cases where incomplete builds are
   cancelled or invalidated.
 * Improved error messages for failed Python recipe commands specified via
   a module or function.
 * Added timeout limiting for shell and python recipe commands.
 * `onerror` attribute can now be specified on `<build>` elements as well
   as `<step>` elements.
 * Charts now only show if there's applicable reports, and restrict themselves
   to the versions of the active configuration.
 * Times shown in the ui are now consistently times from the master, and not
   inter-mixed times between the server and slaves, which caused skew issues.
 * Steps are now shown while in-progress, and builds are considered aborted
   based on the time since the last interaction with the serve, not since
   starting. Slaves now send keepalive messages to the server to avoid timing
   out during long build steps.
 * Fix reference to database field in pylint report generation to solve issue
   running query on PostGreSQL.
 * Report charting re-implemented using Flot.
 * Svn commands gained username, password and no_auth_cache options. Verbose
   flag now behaves less cryptically.
 * No longer create 'snapshots' directory in environments of new
   projects (`initenv`).
 * Added page on upgrades to distributed documentation.
 * New utility script for removing duplicate builds encountered when upgrading.
 * Add 'Platform' to Build web display and notifications.
 * Other minor fixes.


Version 0.6b2
(12 September 2010, from 0.6.x branch)
http://svn.edgewall.org/repos/bitten/tags/0.6b2

 * Slave-only install changed to `./setup.py --without-master install` (or any
   other valid distribution command).
 * Tools namespace changed to `http://bitten.edgewall.org/tools/`. Both new and
   old namespace will work, but Admin will issue a deprecation notice when
   using the old namespace.


Version 0.6b1
(10 September 2009, from 0.6.x branch)
http://svn.edgewall.org/repos/bitten/tags/0.6b1

 * Python 2.4 is now required for slave, while master should still work using
   Python 2.3 (as is also Trac 0.11 minimum).
 * Switch to using HTTP for communication between the build master and build
   slaves. This means the `build-master` executable is no longer needed or
   installed, the build simply runs in the scope of the Trac site.
 * Build recipes now need to include instructions for performing the checkout 
   from the version control repository. The slave no longer receives a snapshot
   archive of the code, but performs the checkout itself based on the 
   instructions in the build recipe.
 * Many fixes for compatibility with more recent versions of Trac, and Bitten
   now requires Trac 0.11.
 * The administration interface is now properly integrated with the Trac web
   administration component.
 * Unicode (non-ascii) support for recipes and command-line input and output.
 * Improved authentication support in bitten-slave, including support for the
   popular AccountManager plugin.
 * New command-line execute() using Python subprocess module that in particular
   improves the situation for slaves executing commands on Windows.
 * Build logs are moved from database and into project log/bitten directory as
   text files.
 * Slave-only install now possible by running 'python setup-slave.py install'.
 * Fixes related to creating and deleting builds correctly, including database
   upgrade to avoid thread race conditions.
 * Some improvements to the Admin user interface for creating/editing
   configurations and platforms.
 * Attachment support for configurations and builds, including a new general
   <attach> command to use in recipes.
 * <hg:pull> command added.
 * Many fixes and improvements for pre-existing commands.
 * Improvements for coverage, lint and test summary display.


Version 0.5.3
(18 April 2006, from 0.5.x branch)
http://svn.edgewall.org/repos/bitten/tags/0.5.3

 * Fix double-escaping of report summaries.
 * Fix build master error when build log contains no messages.


Version 0.5.2
(17 January 2006, from 0.5.x branch)
http://svn.edgewall.org/repos/bitten/tags/0.5.2

 * Fixes the main navigation tab that was broken in 0.5.1.


Version 0.5.1
(10 January 2006, from 0.5.x branch)
http://svn.edgewall.org/repos/bitten/tags/0.5.1

 * Fixes compatibility with Trac 0.9.3 release, as well as the current trunk.
   This also means that Bitten now longer works with versions of Trac earlier
   than 0.9.3.
 * Improves PostgreSQL compatibility.
 * Fixes encoding of non-ASCII characters in command output.
 * Fix for missing log output when using <java:ant> on Windows.


Version 0.5
(6 October 2005, from 0.5.x branch)
http://svn.edgewall.org/repos/bitten/tags/0.5

 * BDB XML is no longer being used for report storage. Instead,
   collected metrics data is stored in the Trac database.
 * Snapshot archives created by the master are checked for integrity
   prior to their transmission to the slaves.
 * Improvements to the build status presentation in Trac.
 * Changes to the build recipe format. See the documentation on the web
   site for details.
 * New recipe commands: <sh:pipe>, <c:configure>, <c:cppunit>,
   <java:ant>, <java:junit>, and <x:transform>. Various improvements to
   the existing commands.
 * Recipe commands and command attributes in recipes can now reference
   slave configuration values.
 * The names of the master and slaves scripts have changed: `bittend`
   is now `bitten-master`, `bitten` is now `bitten-slave`.
 * The build master can now handle multiple Trac environments.
 * The build slave now by default removes any working directories when
   done.
 * Build configurations can now be completely deleted.
 * Build configurations can now have a minimum and maximum revision
   specified. Any revisions outside that range will not be built.
 * The build configuration editor now validates the supplied values.
 * Fix management of target platforms when running under mod_python.
 * Improved performance of the build log formatter that is responsible
   for linking file references in build logs to the repository browser.
 * Add paging to the build configuration view.
 * Fix compatibility with PySQLite2.
